MozillaZine

TB portable apps

User Help for Mozilla Thunderbird
emaharg
 
Posts: 266
Joined: March 1st, 2005, 2:04 pm
Location: spain

Post Posted August 10th, 2018, 9:25 am

|I am getign on well with TB in Portable Apps..but the latest version 60 is not allowing me to run an add-on I REALLY LIKE (edit mail subject). Any clues how I can back date to a earlier version..if it (TB) had been on my hard drive I would have used a restore point, but sadly it resides on a thumb drive and has now been updated to this pesky version 60
runs Chrome 59, Thunderbird 52 32bit, Windows 7 (64bit), uses TB with POP not IMAP

DanRaisch
Moderator

User avatar
 
Posts: 120456
Joined: September 23rd, 2004, 8:57 pm
Location: Somewhere on the right coast

Post Posted August 10th, 2018, 6:31 pm

If you are referring to the "Header Tools Lite" extension, make sure you are using the latest version -- https://addons.thunderbird.net/en-US/th ... l-othersby

If that doesn't resolve your problem, get version 52.9.1 here -- https://portableapps.com/apps/internet/ ... d_portable

mgagnonlv
 
Posts: 711
Joined: February 12th, 2005, 8:33 pm

Post Posted August 10th, 2018, 6:32 pm

Hello,

First, an answer to the question you asked.
All versions of PortableApps, including former ones, are at: https://sourceforge.net/projects/portableapps/files/
More specifically, look into https://sourceforge.net/projects/portab ... 2C%20P.E./

However, before you install an older version, I would suggest you do the following to TB version 60.
– Press on ALT to show full menus, then select Tools –> Options.
– Go to the Advanced tab, then click on "Configuration Editor" button (lower right).
– In the search bar, type "compat", then set the follwing: extensions.strictCompatibility = false
(right click on the line and select "inverse" to flip from true to false).
– Restart Thunderbird to reactivate the extension.

By doing that change, you basically allow Thunderbird to use (and install) extensions that are not officially available for Thunderbird 60. Not all extensions work (for instance, Account Colors doesn't), but many work, including "Edit Mail Subject".
Michel Gagnon
Montréal (Québec, Canada)

tanstaafl
Moderator

User avatar
 
Posts: 44495
Joined: July 30th, 2003, 5:06 pm

Post Posted August 10th, 2018, 7:18 pm

I vaguely remember another post recommending that you also add a boolean extensions.checkCompatibility.60.0 false setting but I can't find it. That's the normal way to disable version checking for an add-on, similar to what https://addons.thunderbird.net/en-US/th ... src=search did, not the additional setting added due to the many changes in the Mozilla toolkit for version 60.

emaharg
 
Posts: 266
Joined: March 1st, 2005, 2:04 pm
Location: spain

Post Posted August 11th, 2018, 12:45 am

this has been very helpful thank you!
runs Chrome 59, Thunderbird 52 32bit, Windows 7 (64bit), uses TB with POP not IMAP

wsmwk
 
Posts: 2532
Joined: December 7th, 2004, 6:52 am

Post Posted September 6th, 2018, 7:32 pm

tanstaafl wrote:I vaguely remember another post recommending that you also add a boolean extensions.checkCompatibility.60.0 false setting but I can't find it. That's the normal way to disable version checking for an add-on, similar to what https://addons.thunderbird.net/en-US/th ... src=search did, not the additional setting added due to the many changes in the Mozilla toolkit for version 60.

extensions.checkCompatibility.60.0 does not exist, as a search of the source code illustrates https://dxr.mozilla.org/comm-central/se ... irect=true

The only override is extensions.strictCompatibility

tanstaafl
Moderator

User avatar
 
Posts: 44495
Joined: July 30th, 2003, 5:06 pm

Post Posted September 7th, 2018, 8:05 am

PREF_CHECK_COMPATIBILITY = "extensions.checkCompatibility." + version;

I think you were looking for a exact match when you should be looking for a string concatenation in the source code.

var PREF_CHECK_COMPATIBILITY;
(function() {
var channel = Services.prefs.getCharPref("app.update.channel", "default");
if (channel != "aurora" &&
channel != "beta" &&
channel != "release" &&
channel != "esr") {
var version = "nightly";
} else {
version = Services.appinfo.version.replace(/^([^\.]+\.[0-9]+[a-z]*).*/gi, "$1");
}
PREF_CHECK_COMPATIBILITY = "extensions.checkCompatibility." + version;
})();


See http://kb.mozillazine.org/Extensions.checkCompatibility

emaharg
 
Posts: 266
Joined: March 1st, 2005, 2:04 pm
Location: spain

Post Posted November 9th, 2018, 1:51 pm

by the way, edit mail subject DOES now work with 60.3 release
runs Chrome 59, Thunderbird 52 32bit, Windows 7 (64bit), uses TB with POP not IMAP

Return to Thunderbird Support


Who is online

Users browsing this forum: No registered users and 9 guests